Subject: [Ltru] Re: Submission: draft-ietf-ltru-4645bis-01

From: "Doug Ewell" <[email-masked]>
Date: Mon, 15 Jan 2007 20:14:37 -0800

Yes, I see the "all all" in the last paragraph of Section 2.2.

--
Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  UTN #14
http://users.adelphia.net/~dewell/
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Addison Phillips <[email-masked]>
Date: Tue, 30 Jan 2007 09:01:24 -0800

Really the file should be encoded in UTF-8, eliminating this silliness.

But the consensus was that this would be too incompatible.

Addison

Debbie Garside wrote:
> Hi 
> 
> Have read the document in question and all looks well (other than I would
> have used "has been" and "is" rather than "was" in a number of places).
> 
> However, I find the following type of record format in the Registry (for
> Áncá and other records with diacritics) totally unacceptable:
> 
> %%
> Type: language
> Subtag: acb
> Description: &#xC1;nc&#xE1;
> Added: 2008-01-01
> %%
> 
> I know we have had this discussion before with regard to "Norwegian
> Bokm&#xE5;l" and "Norwegian Bokmal" and indeed the dreaded apostrophe in
> N'Ko.  Where did we get with it?  I would prefer to see both and I had
> thought this was agreed.  There needs to be an element of human readability
> within the Registry methinks!
> 
> Best regards
> 
> Debbie
> 
>> -----Original Message-----
>> From: Doug Ewell [mailto:[email-masked]] 
>> Sent: 15 January 2007 02:38
>> To: LTRU Working Group
>> Subject: [Ltru] Submission: draft-ietf-ltru-4645bis-01
>>
>> I've just submitted draft-ietf-ltru-4645bis-01 to 
>> [email-masked].
>>
>> Because this draft is over 802,000 bytes and 916 pages long 
>> -- longer than the previous draft because of the inclusion of 
>> about 1,400 inverted/uninverted pairs -- I was once again 
>> disinclined to post it to the mailing list.  Instead, I've 
>> attached a reduced version that includes all of the prose, 
>> but omits most of the proposed new Registry contents.  You 
>> can view or download the complete draft at one of the 
>> following locations:
>>
>> http://users.adelphia.net/~dewell/draft-ietf-ltru-4645bis-01.html
>>     (739,857 bytes)
>> http://users.adelphia.net/~dewell/draft-ietf-ltru-4645bis-01.html.zip
>>     (97,302 bytes)
>> http://users.adelphia.net/~dewell/draft-ietf-ltru-4645bis-01.txt
>>     (857,083 bytes)
>> http://users.adelphia.net/~dewell/draft-ietf-ltru-4645bis-01.txt.zip
>>     (101,713 bytes)
>>
>> Of course, once the draft is officially posted to the IETF 
>> site, you can get it there as well.
>>
>> --
>> Doug Ewell  *  Fullerton, California, USA  *  RFC 4645  *  
>> UTN #14 http://users.adelphia.net/~dewell/
>> -----8<-----cut here-----8<-----cut here-----8<-----cut 
>> here-----8<-----
>>
>>
>> Network Working Group                                      D. 
>> Ewell, Ed.
>> Internet-Draft                                                
>> Consultant
>> Intended status: Informational                          
>> January 14, 2007
>> Expires: July 18, 2007
>>
>>
>>                  Update to the Language Subtag Registry
>>                        draft-ietf-ltru-4645bis-01
>>
>> Status of this Memo
>>
>>    By submitting this Internet-Draft, each author represents that any
>>    applicable patent or other IPR claims of which he or she is aware
>>    have been or will be disclosed, and any of which he or she becomes
>>    aware will be disclosed, in accordance with Section 6 of BCP 79.
>>
>>    Internet-Drafts are working documents of the Internet Engineering
>>    Task Force (IETF), its areas, and its working groups.  Note that
>>    other groups may also distribute working documents as Internet-
>>    Drafts.
>>
>>    Internet-Drafts are draft documents valid for a maximum of 
>> six months
>>    and may be updated, replaced, or obsoleted by other 
>> documents at any
>>    time.  It is inappropriate to use Internet-Drafts as reference
>>    material or to cite them other than as "work in progress."
>>
>>    The list of current Internet-Drafts can be accessed at
>>    http://www.ietf.org/ietf/1id-abstracts.txt.
>>
>>    The list of Internet-Draft Shadow Directories can be accessed at
>>    http://www.ietf.org/shadow.html.
>>
>>    This Internet-Draft will expire on July 18, 2007.
>>
>> Copyright Notice
>>
>>    Copyright (C) The Internet Society (2007).
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 1]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> Abstract
>>
>>    This memo defines the procedure used to update the IANA Language
>>    Subtag Registry in conjunction with the publication of RFC 4646bis
>>    [RFC EDITOR NOTE: replace with actual RFC number], for use 
>> in forming
>>    tags for the identification of languages.  As an Internet-Draft, it
>>    also contained a complete replacement of the contents of 
>> the Registry
>>    to be used by IANA in updating it.  To prevent confusion, this
>>    material was removed before publication.
>>
>>
>> Table of Contents
>>
>>    1.  Introduction  . . . . . . . . . . . . . . . . . . . . 
>> . . . .   3
>>    2.  Updating the Registry . . . . . . . . . . . . . . . . 
>> . . . .   4
>>      2.1.  Starting Point  . . . . . . . . . . . . . . . . . 
>> . . . .   4
>>      2.2.  New Subtags . . . . . . . . . . . . . . . . . . . 
>> . . . .   5
>>      2.3.  Modified Subtags  . . . . . . . . . . . . . . . . 
>> . . . .   5
>>      2.4.  Grandfathered and Redundant Tags  . . . . . . . . 
>> . . . .   6
>>      2.5.  Additional Changes  . . . . . . . . . . . . . . . 
>> . . . .   9
>>    3.  Updated Registry Contents . . . . . . . . . . . . . . 
>> . . . .  10
>>    4.  Security Considerations . . . . . . . . . . . . . . . 
>> . . . . 909
>>    5.  IANA Considerations . . . . . . . . . . . . . . . . . 
>> . . . . 910
>>    6.  Changes . . . . . . . . . . . . . . . . . . . . . . . 
>> . . . . 911
>>    7.  References  . . . . . . . . . . . . . . . . . . . . . 
>> . . . . 912
>>      7.1.  Normative References  . . . . . . . . . . . . . . 
>> . . . . 912
>>      7.2.  Informative References  . . . . . . . . . . . . . 
>> . . . . 912
>>    Appendix A.  Acknowledgements . . . . . . . . . . . . . . 
>> . . . . 914
>>    Author's Address  . . . . . . . . . . . . . . . . . . . . 
>> . . . . 915
>>    Intellectual Property and Copyright Statements  . . . . . 
>> . . . . 916
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 2]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 1.  Introduction
>>
>>    [RFC4646] provided for a Language Subtag Registry and described its
>>    format.  The initial contents of the Registry and rules for
>>    determining them were specified in [RFC4645].
>>
>>    [draft-ietf-ltru-4646bis-02] expands on [RFC4646] by adding support
>>    for approximately 7,200 primary and extended language subtags based
>>    on [ISO639-3] alpha-3 code elements.  This memo describes 
>> the process
>>    of updating the Registry to include these additional 
>> subtags, and to
>>    make secondary changes to the Registry that result from adding the
>>    new subtags.
>>
>>    In its initial phase as an Internet-Draft, this memo also 
>> contained a
>>    complete replacement of the contents of the Language 
>> Subtag Registry
>>    to be used by the Internet Assigned Numbers Authority (IANA) in
>>    updating it.  This content was deleted from this memo prior to
>>    publication as an RFC.
>>
>>    The format of the Language Subtag Registry, and the definition and
>>    intended purpose of each of the fields, are described in
>>    [draft-ietf-ltru-4646bis-02].
>>
>>    The Registry is expected to change over time, as new subtags are
>>    registered and existing subtags are modified or deprecated.  The
>>    process of updating the Registry is described in Section 3 of
>>    [draft-ietf-ltru-4646bis-02].  In its Internet-Draft 
>> phase, this memo
>>    did not define the permanent contents of the Registry and 
>> should not
>>    be represented as doing so.
>>
>>    Many of the subtags defined in the Language Subtag 
>> Registry are based
>>    on code elements defined in [ISO639-1], [ISO639-2], [ISO639-3],
>>    [ISO3166-1], [ISO15924], and [UN_M.49].  The Registry is 
>> not a mirror
>>    of the code lists defined by these standards and should not be used
>>    as one.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 3]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 2.  Updating the Registry
>>
>>    This section describes the process for determining the updated
>>    contents of the Language Subtag Registry.
>>
>> 2.1.  Starting Point
>>
>>    The version of the Language Subtag Registry that was current at the
>>    time of IESG approval of this memo served as the starting point for
>>    this update.  The process of creating that version was described in
>>    [RFC4645].
>>
>>    The source data for [ISO639-3] used for this update consisted of
>>    three files, available from the official site of the ISO 639-3
>>    Registration Authority.  [RFC EDITOR NOTE: these files are expected
>>    to be updated before approval of this memo.]
>>
>>    o  [iso-fdis-639-3_20061114] is a list of all language 
>> code elements
>>       in [ISO639-3], including the alpha-3 code element and reference
>>       name for each code element.  For example, the entry for the Dari
>>       language contained the code element "prs" and the name "Dari"
>>       (among other information).
>>
>>    o  [iso-fdis-639-3_Name_Index_20061114] is a list containing all
>>       names associated with each language according to [ISO639-3],
>>       including both inverted and uninverted forms where 
>> appropriate.  A
>>       code element may have more than one entry in this file; the
>>       reference name and its inverted form are usually, but 
>> not always,
>>       given in the first entry.  For example, this file contained an
>>       entry for the code element "prs" with the name "Dari" 
>> (twice) and
>>       another entry with the names "Eastern Farsi" and 
>> "Farsi, Eastern".
>>
>>    o  [iso-fdis-639-3-macrolanguages_20061114] is a list of 
>> all alpha-3
>>       code elements for languages that are encompassed by a
>>       macrolanguage in [ISO639-3], together with the alpha-3 code
>>       element for the macrolanguage.  For example, a line 
>> containing the
>>       code elements "fas" and "prs" indicated that the macrolanguage
>>       "Persian" encompasses the individual language "Dari".  
>> (Note that
>>       these alpha-3 code elements may not have corresponded 
>> directly to
>>       subtags in the Registry, which uses 2-letter subtags 
>> derived from
>>       [ISO639-1] when possible.)
>>
>>    The value of the File-Date field and of the Added date for each new
>>    subtag record are set to a date near the date of IESG approval of
>>    this memo.  [RFC EDITOR NOTE: these dates would be updated during
>>    AUTH48.]
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 4]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 2.2.  New Subtags
>>
>>    For each language in [ISO639-3] that was not already 
>> represented by a
>>    primary language subtag in the Language Subtag Registry, a 
>> new subtag
>>    was added to the Registry, using the [ISO639-3] code element as the
>>    value for the Subtag field and each of the [ISO639-3] names as a
>>    separate Description field.  The [ISO639-3] reference name was
>>    represented by the first Description field.  The following 
>> rules were
>>    used to determine whether to add a primary or extended language
>>    subtag:
>>
>>    o  If the language was encompassed by a macrolanguage, as 
>> determined
>>       by [iso-fdis-639-3-macrolanguages_20061114], an 
>> extended language
>>       subtag was added, with the primary language subtag of the
>>       macrolanguage as the value for the Prefix field.
>>
>>    o  If the name of the language included the words "Sign 
>> Language", an
>>       extended language subtag was added, with the string "sgn" as the
>>       value for the Prefix field.  This is a special case that treats
>>       the existing primary language subtag for "Sign 
>> Languages" as if it
>>       were a macrolanguage encompassing all sign languages.  
>> (Note that
>>       "sgn" is defined as a "collection code" by [ISO639-3] 
>> and hence is
>>       not included in that standard.)
>>
>>    o  Otherwise, a primary language subtag was added.
>>
>>    All subtags were added to the Registry maintaining 
>> alphabetical order
>>    within each type of tag: all 2-letter "language" subtags 
>> first, then
>>    all 3-letter "language" subtags, and finally all all "extlang"
>>    subtags.  Some existing records were moved to ensure this order.
>>
>> 2.3.  Modified Subtags
>>
>>    For each language in [ISO639-3] that was already represented by a
>>    primary language subtag in the Language Subtag Registry, 
>> Description
>>    fields were added as necessary to reflect all names listed for that
>>    language (inverted and uninverted) in either
>>    [iso-fdis-639-3_20061114] or [iso-fdis-639-3_Name_Index_20061114].
>>    The order of Description fields was adjusted to ensure that the
>>    reference name from [ISO639-3] was listed first, followed by other
>>    names from [ISO639-3] in the order presented by that standard,
>>    followed by any other names already existing in the Registry.  In
>>    some cases this resulted in a reordering of Description fields for
>>    existing entries, even when no new values were added.
>>
>>    No existing Description fields were changed or deleted, with the
>>    following exceptions:
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 5]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>>    o  For the primary language subtag "es", the Description 
>> "Castilian"
>>       was replaced by the [ISO639-3] spelling "Castillian".  This was
>>       presumed to be an unintentional and temporary mismatch between
>>       [ISO639-2] and [ISO639-3].
>>
>>    o  For similar reasons, the following spelling changes were made to
>>       existing Description fields in the Registry to bring 
>> them in line
>>       with the corresponding names in [ISO639-3]:
>>
>>          "gsw" changed from "Alemannic" to "Alemanic"
>>
>>          "gwi" changed from "Gwich&#xB4;in" to "Gwich'in"
>>
>>          "nqo" changed from "N&#x2019;Ko" to "N'Ko"
>>
>>          "rup" changed from "Macedo-Romanian" to "Macedo Romanian"
>>
>>    o  The capitalization of the Subtag field for the 
>> redundant tag "yi-
>>       latn" was changed to "yi-Latn" for consistency with the
>>       capitalization conventions described in Section 2.1 of
>>       [draft-ietf-ltru-4646bis-02].
>>
>> 2.4.  Grandfathered and Redundant Tags
>>
>>    As stated in [draft-ietf-ltru-4646bis-02], "grandfathered" and
>>    "redundant" tags are complete tags in the Language Subtag Registry
>>    that were registered under [RFC1766] or [RFC3066] and remain valid.
>>    Grandfathered tags cannot be generated from a valid combination of
>>    subtags, while "redundant" tags can be.
>>
>>    Under certain conditions, registration of a subtag under
>>    [draft-ietf-ltru-4646bis-02] may cause a grandfathered tag to be
>>    reclassified as redundant.  It may also enable the creation of a
>>    generative tag with the same meaning as a grandfathered or 
>> redundant
>>    tag; in that case, the grandfathered or redundant tag is marked as
>>    Deprecated, and the generative tag (including the new 
>> subtag) becomes
>>    its Preferred-Value.
>>
>>    As a result of adding the new subtags in this update, the following
>>    grandfathered tags became composable and were reclassified as
>>    redundant:
>>
>>       zh-cmn
>>
>>       zh-cmn-Hans
>>
>>       zh-cmn-Hant
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 6]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>>       zh-gan
>>
>>       zh-wuu
>>
>>       zh-yue
>>
>>    The following grandfathered tags were deprecated, with the 
>> indicated
>>    generative tag serving as the Preferred-Value:
>>
>>       i-ami (Preferred-Value: ami)
>>
>>       i-bnn (Preferred-Value: bnn)
>>
>>       i-pwn (Preferred-Value: pwn)
>>
>>       i-tao (Preferred-Value: tao)
>>
>>       i-tay (Preferred-Value: tay)
>>
>>       i-tsu (Preferred-Value: tsu)
>>
>>       sgn-CH-de (Preferred-Value: sgn-sgg)
>>
>>       zh-hakka (Preferred-Value: zh-hak)
>>
>>       zh-min (no Preferred-Value; see below)
>>
>>       zh-min-nan (Preferred-Value: zh-nan)
>>
>>       zh-xiang (Preferred-Value: zh-hns)
>>
>>    The tag "zh-min", originally registered under [RFC1766], 
>> is a special
>>    case: it represents a small class of languages, but is not a true
>>    macrolanguage.  It could not ever become a generative tag since the
>>    [ISO639-3] code element "min" is assigned to an individual language
>>    (Minangkabau) that is not related to Chinese ("zh").  Because it is
>>    not believed to represent a useful linguistic entity for tagging
>>    purposes, it was deprecated without a Preferred-Value.
>>
>>    The following redundant sign-language tags were 
>> deprecated, with the
>>    indicated generative tag serving as the Preferred-Value:
>>
>>       sgn-BR (Preferred-Value: sgn-bzs)
>>
>>       sgn-CO (Preferred-Value: sgn-csn)
>>
>>       sgn-DE (Preferred-Value: sgn-gsg)
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 7]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>>       sgn-DK (Preferred-Value: sgn-dsl)
>>
>>       sgn-ES (Preferred-Value: sgn-ssp)
>>
>>       sgn-FR (Preferred-Value: sgn-fsl)
>>
>>       sgn-GB (Preferred-Value: sgn-bfi)
>>
>>       sgn-GR (Preferred-Value: sgn-gss)
>>
>>       sgn-IE (Preferred-Value: sgn-isg)
>>
>>       sgn-IT (Preferred-Value: sgn-ise)
>>
>>       sgn-JP (Preferred-Value: sgn-jsl)
>>
>>       sgn-MX (Preferred-Value: sgn-mfs)
>>
>>       sgn-NI (Preferred-Value: sgn-ncs)
>>
>>       sgn-NL (Preferred-Value: sgn-dse)
>>
>>       sgn-NO (Preferred-Value: sgn-nsl)
>>
>>       sgn-PT (Preferred-Value: sgn-psr)
>>
>>       sgn-SE (Preferred-Value: sgn-swl)
>>
>>       sgn-US (Preferred-Value: sgn-ase)
>>
>>       sgn-ZA (Preferred-Value: sgn-sfs)
>>
>>    No change was made to the Description field(s) for any of the
>>    grandfathered or redundant tags.  For example, the redundant tag
>>    "sgn-US" continues to carry the Description "American Sign 
>> Language".
>>    The sign language tags registered prior to [RFC4646] remain an
>>    exception to the general principle that the meaning of a non-
>>    grandfathered tag can be derived from its component subtags.
>>
>>    In previous versions of the Registry, grandfathered tags that had
>>    been deprecated as a result of adding an ISO 639-based language
>>    subtag included a Comments field, with a value of the form 
>> "replaced
>>    by ISO code xxx", where "xxx" represented the new language subtag.
>>    These comments duplicated the information contained within the
>>    Preferred-Value field, and were deleted as part of this update.  No
>>    changes were made to other Comments fields.
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 8]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 2.5.  Additional Changes
>>
>>    For consistency with the handling of alternative names in language
>>    subtags, Description fields for script subtags taken from 
>> [ISO15924]
>>    that represent alternative names were converted to multiple
>>    Description fields.  For example, the Description "Han 
>> (Hanzi, Kanji,
>>    Hanja)" was converted to four separate Description fields.  Some
>>    Description fields for script subtags contained parenthetical
>>    material that was explanatory, rather than identifying alternative
>>    names; these fields were not altered.
>>
>>    The situation does not apply to region subtags taken from 
>> [ISO3166-1]
>>    and [UN_M.49] because those standards do not provide 
>> freely available
>>    alternative names for code elements.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>   [Page 9]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 3.  Updated Registry Contents
>>
>>    The remainder of this section specified the updated set of records
>>    for the Language Subtag Registry.  This material was deleted before
>>    publication of this memo, to avoid any potential confusion with the
>>    Registry itself.  The IANA Language Subtag Registry can be found at
>>    <http://www.iana.org/numbers.html> under "Language Tags".
>>
>>    [RFC EDITOR NOTE: the remainder of this section is to be 
>> deleted upon
>>    publication.]
>>
>>    The updated contents of the Language Subtag Registry follow.  This
>>    data is intended as a complete replacement for the current contents
>>    of the Registry.  The Registry begins with the line that 
>> starts with
>>    the string "File-Date" and continues to the end of this section.
>>    Headers, footers, line breaks, and other vertical whitespace
>>    introduced by the RFC process are not significant.  Leading
>>    horizontal whitespace relative to the "File-Date" line indicates a
>>    continued line in the record-jar format, and must not be deleted.
>>
>> File-Date: 2008-01-01
>> %%
>> Type: language
>> Subtag: aa
>> Description: Afar
>> Added: 2005-10-16
>> %%
>> Type: language
>> Subtag: ab
>> Description: Abkhazian
>> Added: 2005-10-16
>> Suppress-Script: Cyrl
>> %%
>> Type: language
>> Subtag: ae
>> Description: Avestan
>> Added: 2005-10-16
>> %%
>> Type: language
>> Subtag: af
>> Description: Afrikaans
>> Added: 2005-10-16
>> Suppress-Script: Latn
>> %%
>> Type: language
>> Subtag: ak
>> Description: Akan
>> Added: 2005-10-16
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>>  [Page 10]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> Description: Cantonese
>> Added: 1999-12-18
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 908]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 4.  Security Considerations
>>
>>    For security considerations relevant to the Language 
>> Subtag Registry
>>    and the use of language tags, see [draft-ietf-ltru-4646bis-02].
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 909]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 5.  IANA Considerations
>>
>>    In its initial phase as an Internet-Draft, this memo contained a
>>    complete replacement of the contents of the Language 
>> Subtag Registry
>>    to be used by IANA in updating it.  As an RFC, it contains 
>> a pointer
>>    to the Registry, which is maintained by IANA.  The Language Subtag
>>    Registry can be found at <http://www.iana.org/numbers.html> under
>>    "Language Tags".  For details on the procedures for the format and
>>    ongoing maintenance of this Registry, see
>>    [draft-ietf-ltru-4646bis-02].
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 910]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 6.  Changes
>>
>>    [Editor's Note: This section is provided for the convenience of
>>    reviewers and will be removed from the final document.]
>>
>>    This memo is a new work, not an incremental update.  The procedure
>>    for populating the original Language Subtag Registry, specified by
>>    the earlier [RFC4646], is included by reference to [RFC4645].
>>    Therefore, no changes from [RFC4645] are listed in this section.
>>
>>    Changes between draft-ietf-ltru-4645bis-00 and this version are:
>>
>>    o  Changed procedure to incorporate data from new "Language Names
>>       Index" file and to ensure that the [ISO639-3] reference name is
>>       the first Description field.
>>
>>    o  Removed some exceptions as a result of improved [ISO639-3] draft
>>       data.
>>
>>    o  Removed section dealing with special handling of "(generic)" and
>>       "(specific)" strings within language names.
>>
>>    o  Added an explanation of the process of converting a compound
>>       Description field for a script subtag to multiple Description
>>       fields.
>>
>>    o  Removed Comments fields of the form "replaced by ISO code xxx",
>>       which provided no additional information beyond the Preferred-
>>       Value field.
>>
>>    o  Clarified that the included Registry contents are a complete
>>       replacement for the existing Registry, not a set of deltas.  (J.
>>       Cowan)
>>
>>    o  Changed "included within" a macrolanguage to use 
>> "encompassed by"
>>       throughout.  (J. Cowan)
>>
>>    o  Provided better explanation for deprecation of "zh-min" in
>>       Section 2.4.  (J. Cowan)
>>
>>    o  Added Changes and Acknowledgements sections.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 911]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> 7.  References
>>
>> 7.1.  Normative References
>>
>>    [ISO639-3]
>>               International Organization for Standardization, 
>> "ISO/FDIS
>>               639-3:2007.  Codes for the representation of names of
>>               languages -- Part 3: Alpha-3 code for comprehensive
>>               coverage of languages, first edition", 2007.
>>
>>    [draft-ietf-ltru-4646bis-02]
>>               Phillips, A., Ed. and M. Davis, Ed., "Tags for 
>> Identifying
>>               Languages", December 2006, <http://www.inter-locale.com/
>>               ID/draft-ietf-ltru-4646bis-02.html>.
>>
>>    [iso-fdis-639-3-macrolanguages_20061114]
>>               International Organization for Standardization, 
>> "ISO/FDIS
>>               639-3 Macrolanguage Mappings", November 2006, <http://
>>               www.sil.org/iso639-3/
>>               iso-fdis-639-3-macrolanguages_20061114.tab>.
>>
>>    [iso-fdis-639-3_20061114]
>>               International Organization for Standardization, 
>> "ISO/FDIS
>>               639-3 Code Set", November 2006,
>>               
>> <http://www.sil.org/iso639-3/iso-fdis-639-3_20061114.tab>.
>>
>>    [iso-fdis-639-3_Name_Index_20061114]
>>               International Organization for Standardization, 
>> "ISO/FDIS
>>               639-3 Language Names Index", November 2006, <http://
>>               www.sil.org/iso639-3/
>>               iso-fdis-639-3_Name_Index_20061114.tab>.
>>
>> 7.2.  Informative References
>>
>>    [ISO15924]
>>               International Organization for Standardization, "ISO
>>               15924:2004.  Information and documentation -- Codes for
>>               the representation of names of scripts", January 2004.
>>
>>    [ISO3166-1]
>>               International Organization for Standardization, 
>> "ISO 3166:
>>               1988.  Codes for the representation of names of 
>> countries,
>>               3rd edition", August 1988.
>>
>>    [ISO639-1]
>>               International Organization for Standardization, 
>> "ISO 639-
>>               1:2002.  Codes for the representation of names of
>>               languages -- Part 1: Alpha-2 code", 2002.
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 912]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>>    [ISO639-2]
>>               International Organization for Standardization, 
>> "ISO 639-
>>               2:1998.  Codes for the representation of names of
>>               languages -- Part 2: Alpha-3 code, first edition", 1998.
>>
>>    [RFC1766]  Alvestrand, H., "Tags for the Identification of
>>               Languages", RFC 1766, March 1995.
>>
>>    [RFC2629]  Rose, M., "Writing I-Ds and RFCs using XML", RFC 2629,
>>               June 1999.
>>
>>    [RFC3066]  Alvestrand, H., "Tags for the Identification of
>>               Languages", RFC 3066, January 2001.
>>
>>    [RFC4645]  Ewell, D., "Initial Language Subtag Registry", RFC 4645,
>>               September 2006.
>>
>>    [RFC4646]  Phillips, A. and M. Davis, "Tags for Identifying
>>               Languages", BCP 47, RFC 4646, September 2006.
>>
>>    [UN_M.49]  Statistics Division, United Nations, "Standard 
>> Country or
>>               Area Codes for Statistical Use", UN Standard Country or
>>               Area Codes for Statistical Use, Revision 4 
>> (United Nations
>>               publication, Sales No. 98.XVII.9), June 1999.
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 913]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> Appendix A.  Acknowledgements
>>
>>    This memo is a collaborative work of the Language Tag 
>> Registry Update
>>    (LTRU) Working Group.  All of its members have made significant
>>    contributions to this memo and to its predecessor, [RFC4645].
>>
>>    Specific contributions to this memo were made by John Cowan, Mark
>>    Davis, Martin Duerst, Frank Ellermann, Kent Karlsson, and Addison
>>    Phillips.
>>
>>    This document was written with the xml2rfc tool described in
>>    [RFC2629].
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 914]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> Author's Address
>>
>>    Doug Ewell (editor)
>>    Consultant
>>
>>    Email: [email-masked]
>>    URI:   http://users.adelphia.net/~dewell
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 915]
>> > 
>> Internet-Draft   Update to the Language Subtag Registry     
>> January 2007
>>
>>
>> Full Copyright Statement
>>
>>    Copyright (C) The Internet Society (2007).
>>
>>    This document is subject to the rights, licenses and restrictions
>>    contained in BCP 78, and except as set forth therein, the authors
>>    retain all their rights.
>>
>>    This document and the information contained herein are 
>> provided on an
>>    "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE 
>> REPRESENTS
>>    OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE INTERNET
>>    ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED,
>>    INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE
>>    INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
>>    WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
>>
>>
>> Intellectual Property
>>
>>    The IETF takes no position regarding the validity or scope of any
>>    Intellectual Property Rights or other rights that might be 
>> claimed to
>>    pertain to the implementation or use of the technology described in
>>    this document or the extent to which any license under such rights
>>    might or might not be available; nor does it represent that it has
>>    made any independent effort to identify any such rights.  
>> Information
>>    on the procedures with respect to rights in RFC documents can be
>>    found in BCP 78 and BCP 79.
>>
>>    Copies of IPR disclosures made to the IETF Secretariat and any
>>    assurances of licenses to be made available, or the result of an
>>    attempt made to obtain a general license or permission for 
>> the use of
>>    such proprietary rights by implementers or users of this
>>    specification can be obtained from the IETF on-line IPR 
>> repository at
>>    http://www.ietf.org/ipr.
>>
>>    The IETF invites any interested party to bring to its attention any
>>    copyrights, patents or patent applications, or other proprietary
>>    rights that may cover technology that may be required to implement
>>    this standard.  Please address the information to the IETF at
>>    [email-masked].
>>
>>
>> Acknowledgment
>>
>>    Funding for the RFC Editor function is provided by the IETF
>>    Administrative Support Activity (IASA).
>>
>>
>>
>>
>>
>> Ewell                     Expires July 18, 2007               
>> [Page 916]
>> >  
>>
>>

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.